#include <iostream>
#include <vector>
#include <list>

#include "File.h"
#include "Account.h"


int main() {
    File D;
    Account acc1, acc2;
    int temp_int;
    std::string temp_str;
    bool is_running = true;
    int k;
    while (is_running)
    {
        std::cout << std::endl << "1 add payment" << std::endl
                  << "2 search Account by a number" << std::endl
                  << "3 search Account by code" << std::endl
                  << "4 search Account by an owner's surname" << std::endl
                  << "5 search Account by full info" << std::endl
                  << "6 delete Account" << std::endl
                  << "7 change Account" << std::endl
                  << "8 load to txt file" << std::endl
                  << "9 exit" << std::endl << "->  ";
        std::cin >> k;
        std::cout << std::endl;
        switch (k) {
            case 1:
                std::cout << "Input Account to add" << std::endl;
                std::cin >> acc1;
                D.add_account(acc1);
                break;
            case 2:
                std::cout << "Input Account number to search" << std::endl;
                std::cin >> temp_int;
                D.search_account_number(temp_int);
                break;
            case 3:
                std::cout << "Input Account code to search" << std::endl;
                std::cin >> temp_int;
                D.search_account_code(temp_int);
                break;
            case 4:
                std::cout << "Input Account owner's surname to search" << std::endl;
                std::cin >> temp_str;
                D.search_account_surname(temp_str);
                break;
            case 5:
                std::cout << "Input full Account to search" << std::endl;
                std::cin >> acc1;
                D.search_account(acc1);
                break;
            case 6:
                std::cout << "Input Account to delete" << std::endl;
                std::cin >> acc1;
                D.delete_account(acc1);
                break;
            case 7:
                std::cout << "Input Account to change" << std::endl;
                std::cin >> acc1;
                std::cout << "Input Account to insert" << std::endl;
                std::cin >> acc2;
                D.change_account(acc1, std::move(acc2));
                break;
            case 8:
                D.load_out_txt();
                break;
            case 9:
                is_running = false;
                break;
            default:
                std::cout << "invalid option" << std::endl;
                break;
        }
    }
    return 1;
}